Bug 20507 - WebKit does not scroll to anchor position - n2.nabble.com embedded at plone.org
Summary: WebKit does not scroll to anchor position - n2.nabble.com embedded at plone.org
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL: http://n2.nabble.com/Buildout-Builder...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-25 03:09 PDT by Graham Perrin
Modified: 2010-01-02 09:54 PST (History)
2 users (show)

See Also:


Attachments
messages presented in error console (8.93 KB, text/plain)
2008-08-25 03:11 PDT, Graham Perrin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2008-08-25 03:09:56 PDT
= Example =

http://n2.nabble.com/Buildout-Builder%3A-Community-Server-on-Popular-Plone-Configurations-tp339109p339110.html 
is the advertised permalink to a particular message.

This appears to redirect to 
http://plone.org/support/forums/general#nabble-td339109%7Ca339110 

= Bug =

WebKit does not scroll to the anchor position. 

= Comparison =

Camino and Firefox scroll to position. 

= Error Console =

Begins: 

Unsafe JavaScript attempt to access frame with URL http://plone.org/support/forums/general#nabble-td339109%7Ca339110 from frame with URL http://n2.nabble.com/embed/EmbedInfo.jtp?both=293352|1219657095492-849&cookies=tview%3Dclassic%3BuserId%3D19440%3Busername%3Dgrahamperrin-ac.uk%3Bpassword%3D207512206%3BanonymousId%3Dtervel-228722%3B&hash=a339110#http://plone.org/support/forums/general. Domains, protocols and ports must match.

Unsafe JavaScript attempt to access frame with URL http://plone.org/support/forums/general#nabble-td339109%7Ca339110 from frame with URL http://n2.nabble.com/Buildout-Builder%3A-Community-Server-on-Popular-Plone-Configurations-td339109.html. Domains, protocols and ports must match.

Full output from console will be attached as a text file to this ticket. 

= See also =

https://bugs.webkit.org/show_bug.cgi?id=14248

> Webkit shows "Unsafe Javascript attempt to acesss the frame.......... . Domains must match"

= Environment =

 * WebKit nightly 3.1.2 (5525.20.1)
 * Mac OS X 10.5.4

= Component =

I guess, 'Layout and Rendering' but you may wish to re-classify based on the available information.
Comment 1 Graham Perrin 2008-08-25 03:11:22 PDT
Created attachment 22975 [details]
messages presented in error console
Comment 2 Graham Perrin 2008-08-25 03:26:47 PDT
Originally reported as 
http://dev.plone.org/plone.org/ticket/919
Comment 3 Graham Perrin 2008-08-25 06:05:15 PDT
See also 
http://n2.nabble.com/-BUG--Can-not-%27Subscribe-to-this-topic%27-when-viewing-embedded-Nabble-content-using-Safari-WebKit-td781354.html

> [BUG] Can not 'Subscribe to this topic' when viewing embedded Nabble content using Safari/WebKit
Comment 4 Graham Perrin 2008-08-26 02:42:22 PDT
(In reply to comment #3)

>> [BUG] Can not 'Subscribe to this topic' when viewing embedded Nabble content using Safari/WebKit

Regarding that aspect: Nabble have explained, and will provide a fix: 

http://n2.nabble.com/-BUG--Can-not-%27Subscribe-to-this-topic%27-when-viewing-embedded-Nabble-content-using-Safari-WebKit-tp781354p782855.html
Comment 5 Adam Barth 2010-01-02 09:54:22 PST
The reported asked that we close this bug WONTFIX in 2008.